## virtualgps 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
PROJECT(virtualgps NONE)

set (VERSION_MAJOR 1)
set (VERSION_MINOR 1)
set (VERSION_RELEASE 1)

set(BIN_INSTALL_DIR "/usr/bin")
set(CONFIG_INSTALL_DIR "/etc")
set(MENU_INSTALL_DIR "/usr/share/applications")

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/virtualgps.py DESTINATION ${BIN_INSTALL_DIR})
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/setlocation.sh DESTINATION ${BIN_INSTALL_DIR})
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/location.conf DESTINATION ${CONFIG_INSTALL_DIR})
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/virtualgps.service DESTINATION ${CONFIG_INSTALL_DIR}/systemd/system)
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/setlocation.desktop DESTINATION ${MENU_INSTALL_DIR})
endif()

=== requirements.txt ===
os
sys
signal
time
datetime
configparser

=== debian/changelog ===
virtualgps (1.1.1-4) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113497)
  * debian/control: bump standard to 4.7.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 01 Oct 2025 10:46:08 +0200

virtualgps (1.1.1-3) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr as Build-Dependency:
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 May 2024 22:46:08 +0200

virtualgps (1.1.1-2) unstable; urgency=medium

  * upload sources
  * debian/control: set maintainer to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 01 Jul 2023 09:46:08 +0200

virtualgps (1.1.1-1) unstable; urgency=medium

  * Initial release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Jun 2023 22:46:08 +0200

=== debian/control ===
Source: virtualgps
Section: misc
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, dh-sequence-movetousr
Standards-Version: 4.7.2
Homepage: https://github.com/rkaczorek/virtualgps
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/virtualgps
Vcs-Git: https://salsa.debian.org/debian-astro-team/virtualgps.git

Package: virtualgps
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
	, gpsd
	, python3
Description: Virtual GPS simulates GPS receiver
 This package contains software that simulates a GPS receiver, which
 uses configurable geographic location.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_install:
	# we do not need everything
	rm ./debian/virtualgps/usr/share/applications/setlocation.desktop
	rmdir ./debian/virtualgps/usr/share/applications
	rmdir ./debian/virtualgps/usr/share
	rm ./debian/virtualgps/usr/bin/setlocation.sh
	dh_install
